package com.bzd.system.service.mdyy;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店加权信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SMdyyglMdysjqStoreweightinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSMdyyglMdysjqStoreweightinfo(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqStoreweightinfoMapper.addSMdyyglMdysjqStoreweightinfo", pd);
    }

    public List<PageData> findSMdyyglMdysjqStoreweightinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SMdyyglMdysjqStoreweightinfoMapper.selectSMdyyglMdysjqStoreweightinfoList", pd);
    }

    public Integer SMdyyglMdysjqStoreweightinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SMdyyglMdysjqStoreweightinfoMapper.SMdyyglMdysjqStoreweightinfoRemove", pd);
    }


    public Integer updateSMdyyglMdysjqStoreweightinfo(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqStoreweightinfoMapper.updateSMdyyglMdysjqStoreweightinfo", pd);
    }

}
